aboutsummaryrefslogtreecommitdiffstats
path: root/libs/bitfield-c/runtests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'libs/bitfield-c/runtests.sh')
-rw-r--r--libs/bitfield-c/runtests.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/libs/bitfield-c/runtests.sh b/libs/bitfield-c/runtests.sh
new file mode 100644
index 0000000..4781636
--- /dev/null
+++ b/libs/bitfield-c/runtests.sh
@@ -0,0 +1,17 @@
+echo "Running unit tests:"
+
+for i in $1/*.bin
+do
+ if test -f $i
+ then
+ if ./$i
+ then
+ echo $i PASS
+ else
+ echo "ERROR in test $i:"
+ exit 1
+ fi
+ fi
+done
+
+echo "${txtbld}$(tput setaf 2)All unit tests passed.$(tput sgr0)"